Get all custom fields of an organization
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 1,
"kind": "dropdown",
"serviceSource": {
"workspaceId": 1,
"serviceFieldId": "smarthr_city"
},
"serviceDetails": {
"id": 33,
"name": "SmartHR",
"uniqueName": "smarthr",
"serviceTopUrl": "https://smarthr.jp/"
},
"configuration": {
"values": [
{
"id": "option_1",
"value": "Option 1",
"group": "<string>",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
],
"groups": [
{
"value": "phone",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
]
},
"required": true,
"attributeCode": "custom_text_field",
"attributeName": "Foo bar"
}
],
"availableSourceWorkspaces": [
{
"workspaceId": 123,
"workspaceName": "<string>",
"serviceId": 123,
"serviceUniqueName": "<string>",
"serviceName": "<string>"
}
]
}Directory
Get all custom fields of an organization
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
identity
/
fields
/
custom
Get all custom fields of an organization
承認
パスパラメータ
最終更新日 2026年7月14日
⌘I

